buildscript {
    repositories {
        mavenLocal()
        maven { url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'


dependencies {
    compile project(":common:utils")
    compile project(":common:data")
    compile project(":dao:dao-interface")
    compile project(":dao:dao-sql")
    compile project(":dao:dao-redis")
    compile 'mysql:mysql-connector-java:5.1.28'

    testCompile("$bootGroup:spring-boot-starter-test")
    compile 'com.alibaba:druid:1.0.25'
    compile("$bootGroup:spring-boot-starter-web")
    //compile("$bootGroup:spring-boot-starter-session")
    compile("$bootGroup:spring-boot-starter-websocket")
    compile("$bootGroup:spring-boot-starter-undertow")
    compile('org.apache.logging.log4j:log4j-core:2.15.0')
    compile('org.apache.logging.log4j:log4j-jul:2.15.0')
    compile('org.apache.logging.log4j:log4j-api:2.15.0')
    compile('org.apache.logging.log4j:log4j-slf4j-impl:2.15.0')
    compile("$bootGroup:spring-boot-starter-data-redis-reactive")
    compile('com.fasterxml.jackson.datatype:jackson-datatype-jdk8')
    implementation 'com.taosdata.jdbc:taos-jdbcdriver:2.0.35'
    compile 'org.apache.commons:commons-pool2'
}

